odoo.define('web_switch_debug.ActivateDebugMenu', function (require) {
"use strict";

var core = require('web.core');
var session = require('web.session');
var SystrayMenu = require('web.SystrayMenu');
var Widget = require('web.Widget');

var _t = core._t;

if (!session.debug) {
    var ActivateDebugMenu = Widget.extend({
        template: "ActivateDebugMenu",
        events: {
            "click .o_activate_debug_mode": "_onActivateDebug",
        },

        _onActivateDebug: function () {
            window.location = $.param.querystring(window.location.href, 'debug=1');
        },
    });
    if (session.is_system){
        ActivateDebugMenu.prototype.sequence = 2;
        SystrayMenu.Items.push(ActivateDebugMenu);
    }
    return ActivateDebugMenu;
}

});